Bug 181485 - vbetool segfaults
Summary: vbetool segfaults
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-14 16:33 UTC by Matthias Clasen
Modified: 2015-03-05 01:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-26 05:52:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2006-02-14 16:33:57 UTC
(gdb) r
Starting program: /usr/sbin/vbetool dpms suspend
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xa0f000

Program received signal SIGSEGV, Segmentation fault.
0x08049da5 in run_vm86 () at lrmi.c:534
534             asm volatile (
(gdb) bt
#0  0x08049da5 in run_vm86 () at lrmi.c:534
#1  0x0804a2b8 in LRMI_int (i=16, r=0xbfe5a280) at lrmi.c:844
#2  0x08048dec in do_vbe_service (AX=20240, BX=513, regs=0xbfe5a280)
    at vbetool.c:135
#3  0x08048f50 in do_blank (state=512) at vbetool.c:316
#4  0x08049602 in main (argc=Cannot access memory at address 0x0
) at vbetool.c:74
#5  0x005b57a4 in __libc_start_main () from /lib/i686/nosegneg/libc.so.6
#6  0x08048d21 in _start ()

Comment 1 Phil Knirsch 2006-02-15 08:54:24 UTC
Tried it yesterday on a freshly updated FC-devel box and it worked like a charm
(suspended my monitor nicely... ;) )

Read ya, Phil

Comment 2 Matthias Clasen 2006-02-15 14:53:26 UTC
Not good enough, Phil. It does not work on either of our test machines.
One is x86_64, the other i386.
Feel free to visit us in the megacube to check it out

Comment 3 Jeremy Katz 2006-03-01 03:15:15 UTC
Matthias -- is this still failing?  I'm not seeing it fail on any of the boxes I
was doing suspend testing on today.

Comment 4 Matthias Clasen 2006-03-01 03:24:39 UTC
Not in a position to test it this week.

Ray, can you update the test machines and see if this still occurs ?

Maybe it was just the xen kernel...

Comment 5 Ray Strode [halfline] 2006-03-01 04:17:11 UTC
sure i'll try

Comment 6 Matthias Clasen 2006-08-26 05:52:28 UTC
Should probably close this now.


Note You need to log in before you can comment on or make changes to this bug.